PluginBase.h File Reference
`#include <string>`
`#include <vector>`
`#include "plugguard.h"`
Include dependency graph for vamp-sdk/PluginBase.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Vamp::PluginBase
| A base class for plugins with optional configurable parameters, programs, etc. More...
struct | Vamp::PluginBase::ParameterDescriptor

## Namespaces

namespace | Vamp